Create validator for lemma
Closed, ResolvedPublic

Description

This validator should do common term validations (string length, trailing whitespace etc) and additionally validate the lemma's language code (depending on T151626).

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2016, 12:26 PM
Aleksey_WMDE moved this task from Proposed to Doing on the Wikidata-Sprint board.Dec 20 2016, 6:27 PM

Change 328501 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Add Lemma ChangeOp.

https://gerrit.wikimedia.org/r/328501

thiemowmde triaged this task as Normal priority.
thiemowmde moved this task from incoming to in current sprint on the Wikidata board.

Change 335674 had a related patch set (by Jakob) published:
Add LexemeValidatorsFactory providing validators for Lexeme field values

https://gerrit.wikimedia.org/r/335674

WMDE-leszek moved this task from Doing to Review on the Wikidata-Sprint board.Feb 2 2017, 5:28 PM
WMDE-leszek moved this task from Review to Doing on the Wikidata-Sprint board.Feb 8 2017, 8:46 AM
WMDE-leszek moved this task from Doing to Review on the Wikidata-Sprint board.Feb 16 2017, 10:26 AM

Change 335674 merged by jenkins-bot:
Add LexemeValidatorsFactory providing validators for Lexeme field values

https://gerrit.wikimedia.org/r/335674

WMDE-leszek closed this task as Resolved.Feb 20 2017, 11:47 AM
WMDE-leszek moved this task from Review to Done on the Wikidata-Sprint board.